Loading...
Searching...
No Matches
AVChannelCustom Struct Reference
libavutil » Audio related » Audio channels

An AVChannelCustom defines a single channel within a custom order layout. More...

`#include <libavutil/channel_layout.h>`

## Data Fields

enum AVChannel | id
char | name [16]
void * | opaque

## Detailed Description

An AVChannelCustom defines a single channel within a custom order layout.

Unlike most structures in FFmpeg, sizeof(AVChannelCustom) is a part of the public ABI.

No new fields may be added to it without a major version bump.

Definition at line 283 of file channel_layout.h.

## Field Documentation

## id

enum AVChannel AVChannelCustom::id

Definition at line 284 of file channel_layout.h.

## name

char AVChannelCustom::name[16]

Definition at line 285 of file channel_layout.h.

## opaque

void* AVChannelCustom::opaque

Definition at line 286 of file channel_layout.h.

The documentation for this struct was generated from the following file:

- libavutil/channel_layout.h